AstrologyAPI

Gemstone Report PDF API

POSThttps://pdf.astrologyapi.com/v1/basic_gemstone_report_pdf
Copy

The Gemstone Report PDF API generates a gemstone recommendation PDF based on the birth details provided in the request data.

The request data includes branding options such as footer links, logo URL, company name, company information, domain URL, email, landline and mobile number.

The PDF API in response provides you with a PDF URL from where either your user can download the PDF or you can directly send the PDF report on your user's email address.

POST/basic_gemstone_report_pdf
Copy
1curl --location 'https://pdf.astrologyapi.com/v1/basic_gemstone_report_pdf' \
2  --header 'Content-Type: application/json' \
3  --header 'x-astrologyapi-key: <YOUR_ACCESS_TOKEN>' \
4  --data '{
5    "name": "Ajeet",
6    "gender": "male",
7    "day": 15,
8    "month": 8,
9    "year": 1990,
10    "hour": 10,
11    "min": 30,
12    "lat": 39.9526,
13    "lon": -75.1652,
14    "language": "en",
15    "tzone": -5,
16    "place": "Mumbai,Maharashtra India",
17    "chart_style": "NORTH_INDIAN",
18    "footer_link": "https:",
19    "logo_url": "LOGO_URL",
20    "company_name": "company name",
21    "company_info": "company info",
22    "domain_url": "https:",
23    "company_email": "company email",
24    "company_landline": "123456789",
25    "company_mobile": "123456789"
26}'
27
200Response
Copy
1{
2  "status": true,
3  "pdf_url": "https://s3.amazonaws.com/astrologyapi-pdfs/basic_gemstone_report_sample.pdf"
4}

Request Headers

x-astrologyapi-key

string

required

API Access Token to authenticate requests. Send your access token in this custom header.

Accept-Language

string

Preferred language for the response content

Properties

English - enHindi - hi

Request Body (JSON)

name

string

required

Name of the user, eg: "Ajeet Kanojia"

gender

string

required

Gender of the user, eg: "male"

day

integer

required

Birth day (1-31)

month

integer

required

Birth month (1-12)

year

integer

required

Birth year (e.g., 1990)

hour

integer

required

Birth hour (0-23)

min

integer

required

Birth minute (0-59)

lat

float

required

Latitude of birth location

lon

float

required

Longitude of birth location

language

string

required

Pdf Language eg. en

Properties

English - enHindi - hi
tzone

float

required

Timezone offset (e.g., -5 for EST)

place

string

required

User birth place , eg: "Mumbai,Maharashtra India"

chart_style

string

required

For south style SOUTH_INDIAN OR for eastern style EAST_INDIAN , eg: "NORTH_INDIAN"

footer_link

string

required

Your domain link , eg: "astrologyapi.com""

logo_url

string

required

Your company logo url , eg: "logo_url"

company_name

string

required

Your company name , eg: "Vedic Rishi Astro Solutions Pvt. Ltd."

company_info

string

required

NOTE- SHOULD BE LESS THAN 500 CHARACTER , eg: "Your Company Info"

domain_url

string

required

Your domain full url , eg: "https://www.astrologyapi.com"

company_email

string

required

Your company email , eg: "[email protected]"

company_landline

string

required

Your company Landline number , eg: "+91- 221232 22"

company_mobile

string

required

Your company mobile number, eg: "+91 1212 1212 12"

Gemstone Report PDF Samples

Following are the Gemstone Report PDF samples you can view. These generated PDFs are using Vedic Rishi Astro branding and everything can be customised to suit your company branding and style.

English PDF Sample Sample
View Sample

English PDF Sample

Hindi PDF Sample Sample
View Sample

Hindi PDF Sample

Errors

400
Bad Request

Something is wrong with your request format or parameters.

401
Unauthorized

Your API key is missing or invalid.

403
Forbidden

You don't have permission to access this specific resource.

404
Not Found

The API endpoint you're trying to reach doesn't exist.

500
Internal Server Error

Our server is having a temporary glitch.